GET /api/v3/account/udf

Retrieves all user defined fields / custom fields for all accounts

GetAccountsUdfsV3 Permissions: Accounts (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountCode Account Number String equals not equals one of like not like not one of
accountId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
accountInfo Account Name String equals not equals one of like not like not one of
active Active (0/1 = F/T) Boolean equals
city City String equals not equals one of like not like not one of
costCenterCode Cost Center Code String equals not equals one of like not like not one of
costCenterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
costCenterInfo Cost Center Name String equals not equals one of like not like not one of
isChargebackMasterAccount Is Chargeback Master Account Boolean equals
isSubAccount Is Sub-account Boolean equals
isSummaryAccount Has Sub-accounts Boolean equals
meterCode Logical Device Code String equals not equals one of like not like not one of
meterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
meterInfo Logical Device Name String equals not equals one of like not like not one of
postalCode Postal Code String equals not equals one of like not like not one of
serviceBegin Service Begin Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
serviceEnd Service End Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
splitAccountChargesConfigured Acct Split Charges Configured Boolean equals
state State/Province String equals not equals one of like not like not one of
summaryAccountCode Summary Account Number String equals not equals one of like not like not one of
summaryAccountId Summary Account ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
summaryAccountInfo Summary Account Name String equals not equals one of like not like not one of
topmostCostCenterCode Topmost Cost Center Code String equals
topmostCostCenterInfo Topmost Cost Center Name String equals
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AccountUDFResponse
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
udfs An array of user-defined fields (UDFs) UDFFieldChild[]
UDFFieldChild properties
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
description Required (defined) string
displayOrder Required (defined) integer (int32)
important Required (defined) boolean
name Required (defined) string
udfId Required (defined) integer (int32)
udfSelectValues Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder Required (defined) integer (int32)
udfSelectValueId Required (defined) integer (int32)
value Required (defined) string
value Required (defined) string
Example Response application/json
[
  {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "udfs": [
      {      "dataType": {},      "description": "string",      "displayOrder": 1,      "important": false,      "name": "string",      "udfId": 1,      "udfSelectValues": [],      "value": "string"
    }
    ]
  }
]